controllers:
    resource: ../src/Controller/
    type: attribute

# Routes instrument

app_instrument:
    path: /instrument
    controller: App\Controller\InstrumentController::index

instrumentLister:
    path: /instrument/lister
    controller: App\Controller\InstrumentController::lister

instrumentConsulter:
    path: /instrument/consulter/{id}
    controller: App\Controller\InstrumentController::consulter

instrumentAjouter:
    path: /instrument/ajouter
    controller: App\Controller\InstrumentController::ajouter

instrumentModifier:
    path: /instrument/modifier/{id}
    controller: App\Controller\InstrumentController::modifier

instrumentSupprimer:
    path: /instrument/supprimer/{id}
    controller: App\Controller\InstrumentController::supprimer

# Routes type instrument

typeInstrumentLister:
    path: /typeinstrument/lister
    controller: App\Controller\TypeInstrumentController::lister

typeInstrumentConsulter:
    path: /typeinstrument/consulter/{id}
    controller: App\Controller\TypeInstrumentController::consulter

typeInstrumentAjouter:
    path: /typeinstrument/ajouter
    controller: App\Controller\TypeInstrumentController::ajouter

typeInstrumentModifier:
    path: /typeinstrument/modifier/{id}
    controller: App\Controller\TypeInstrumentController::modifier

typeInstrumentSupprimer:
    path: /typeinstrument/supprimer/{id}
    controller: App\Controller\TypeInstrumentController::supprimer

# Routes classe instrument

classeInstrumentLister:
    path: /classeinstrument/lister
    controller: App\Controller\ClasseInstrumentController::lister

classeInstrumentConsulter:
    path: /classeinstrument/consulter/{id}
    controller: App\Controller\ClasseInstrumentController::consulter

classeInstrumentAjouter:
    path: /classeinstrument/ajouter
    controller: App\Controller\ClasseInstrumentController::ajouter

classeInstrumentModifier:
    path: /classeinstrument/modifier/{id}
    controller: App\Controller\ClasseInstrumentController::modifier

classeInstrumentSupprimer:
    path: /classeinstrument/supprimer/{id}
    controller: App\Controller\ClasseInstrumentController::supprimer

# Routes couleur

couleurLister:
    path: /couleur/lister
    controller: App\Controller\CouleurController::lister

couleurConsulter:
    path: /couleur/consulter/{id}
    controller: App\Controller\CouleurController::consulter

couleurAjouter:
    path: /couleur/ajouter
    controller: App\Controller\CouleurController::ajouter

couleurModifier:
    path: /couleur/modifier/{id}
    controller: App\Controller\CouleurController::modifier

couleurSupprimer:
    path: /couleur/supprimer/{id}
    controller: App\Controller\CouleurController::supprimer

# Routes marque

marqueLister:
    path: /marque/lister
    controller: App\Controller\MarqueController::lister

marqueConsulter:
    path: /marque/consulter/{id}
    controller: App\Controller\MarqueController::consulter

marqueAjouter:
    path: /marque/ajouter
    controller: App\Controller\MarqueController::ajouter

marqueModifier:
    path: /marque/modifier/{id}
    controller: App\Controller\MarqueController::modifier

marqueSupprimer:
    path: /marque/supprimer/{id}
    controller: App\Controller\MarqueController::supprimer

# Routes accessoire

accessoireLister:
    path: /accessoire/lister
    controller: App\Controller\AccessoireController::lister

accessoireConsulter:
    path: /accessoire/consulter/{id}
    controller: App\Controller\AccessoireController::consulter

accessoireAjouter:
    path: /accessoire/ajouter
    controller: App\Controller\AccessoireController::ajouter

accessoireModifier:
    path: /accessoire/modifier/{id}
    controller: App\Controller\AccessoireController::modifier

accessoireSupprimer:
    path: /accessoire/supprimer/{id}
    controller: App\Controller\AccessoireController::supprimer

# Routes élèves

eleveConsulter:
    path: /eleve/consulter/{id}
    controller: App\Controller\eleveController::consulter

eleveLister:
    path: /eleve/lister
    controller: App\Controller\eleveController::lister

eleveAjouter:
    path: /eleve/ajouter
    controller: App\Controller\eleveController::ajouter

eleveModifier:
    path: /eleve/modifier/{id}
    controller: App\Controller\eleveController::modifier

eleveSupprimer:
    path: /eleve/supprimer/{id}
    controller: App\Controller\eleveController::supprimer


# Routes Contrats de prêt
contratPretLister:
    path: /contratPret/lister
    controller: App\Controller\ContratPretController::lister

contratPretConsulter:
    path: /contratPret/consulter/{id}
    controller: App\Controller\ContratPretController::consulter

contratPretAjouter:
    path: /contratPret/ajouter
    controller: App\Controller\ContratPretController::ajouter

contratPretSupprimer:
    path: /contratPret/supprimer/{id}
    controller: App\Controller\ContratPretController::supprimer

contratPretModifier:
    path: /contratPret/modifier/{id}
    controller: App\Controller\ContratPretController::modifier

# Routes responsables

responsableConsulter:
    path: /responsable/consulter/{id}
    controller: App\Controller\ResponsableController::consulter

responsableLister:
    path: /responsable/lister
    controller: App\Controller\ResponsableController::lister

responsableAjouter:
    path: /responsable/ajouter
    controller: App\Controller\ResponsableController::ajouter

responsableModifier:
    path: /responsable/modifier/{id}
    controller: App\Controller\ResponsableController::modifier

responsableSupprimer:
    path: /responsable/supprimer/{id}
    controller: App\Controller\ResponsableController::supprimer

# Route inscription

inscriptionLister:
    path: /inscription/lister
    controller: App\Controller\InscriptionController::lister

inscriptionConsulter:
    path: /inscription/consulter/{id}
    controller: App\Controller\InscriptionController::consulter

inscriptionAjouter:
    path: /inscription/ajouter
    controller: App\Controller\InscriptionController::ajouter

inscriptionModifier:
    path: /inscription/modifier/{id}
    controller: App\Controller\InscriptionController::modifier

inscriptionSupprimer:
    path: /inscription/supprimer/{id}
    controller: App\Controller\InscriptionController::supprimer

confirmation_inscription:
    path: /confirmation_inscription
    controller: App\Controller\ConfirmationController::confirmationInscription

# Routes cours

coursConsulter:
    path: /cours/consulter/{id}
    controller: App\Controller\coursController::consulter

coursLister:
    path: /cours/lister
    controller: App\Controller\coursController::lister

coursAjouter:
    path: /cours/ajouter
    controller: App\Controller\coursController::ajouter

coursModifier:
    path: /cours/modifier/{id}
    controller: App\Controller\coursController::modifier

coursSupprimer:
    path: /cours/supprimer/{id}
    controller: App\Controller\coursController::supprimer

# Routes professeur

professeurConsulter:
    path: /professeur/consulter/{id}
    controller: App\Controller\ProfesseurController::consulter

professeurLister:
    path: /professeur/lister
    controller: App\Controller\ProfesseurController::lister

professeurAjouter:
    path: /professeur/ajouter
    controller: App\Controller\ProfesseurController::ajouter

professeurModifier:
    path: /professeur/modifier/{id}
    controller: App\Controller\ProfesseurController::modifier

professeurSupprimer:
    path: /professeur/supprimer/{id}
    controller: App\Controller\ProfesseurController::supprimer

# Routes intervention

interventionConsulter:
    path: /intervention/consulter/{id}
    controller: App\Controller\InterventionController::consulter


# Routes générales

login:
    path: /login
    controller: App\Controller\SecurityController::login

accueil:
    path: /accueil
    controller: App\Controller\AccueilController::accueil